mp3splt-gtk

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions | Variables
multiple_files.c File Reference
`#include <gtk/gtk.h>`
`#include <glib/gi18n.h>`
`#include <libmp3splt/mp3splt.h>`
`#include "multiple_files.h"`
`#include "main_win.h"`
`#include "ui_manager.h"`
`#include "widgets_helper.h"`
Include dependency graph for multiple_files.c:

Go to the source code of this file.

## Macros

#define | MY_GTK_RESPONSE 200

## Functions

GtkWidget * | create_multiple_files_buttons_hbox ()
void | create_multiple_files_columns (GtkTreeView *tree_view)
GtkWidget * | create_multiple_files_component ()
GtkTreeModel * | create_multiple_files_model ()
GtkTreeView * | create_multiple_files_tree ()
void | multiple_files_add_button_event (GtkWidget *widget, gpointer data)
void | multiple_files_open_button_event (GtkWidget *widget, gpointer data)
void | multiple_files_remove_all_button_event (GtkWidget *widget, gpointer data)
void | multiple_files_remove_button_event (GtkWidget *widget, gpointer data)
void | multiple_files_selection_changed (GtkTreeSelection *selec, gpointer data)

## Variables

GtkWidget * | multiple_files_remove_all_files_button = NULL
GtkWidget * | multiple_files_remove_file_button = NULL
GtkWidget * | multiple_files_tree = NULL
gint | multiple_files_tree_number = 0
splt_state * | the_state
ui_state * | ui

## Detailed Description

Batch processing internals

this file is for management for the the multiple files mode that currently allows only for batch processing.

Definition in file multiple_files.c.

## Function Documentation

GtkTreeModel* create_multiple_files_model | ( |  | ) |

Create the model for the batch processing file list.

Definition at line 61 of file multiple_files.c.

## Variable Documentation

ui_state* ui

move all options inside

Definition at line 144 of file mp3splt-gtk.c.